Skip to content

Audits ​

APIs for retrieving the audit log. Track changes, who made them, and when for compliance and debugging.

Get Audits GET ​

Retrieves the audit log for the project or tenant. Useful for tracking changes and compliance.

GET /audits

Path Parameters ​

Query Parameters ​

NameTypeRequiredDescription
entityIdstringYes-
entityTypestringYes-
pageintegerNo-
sizeintegerNo-
sortstringNo-

Response (200 OK) ​

json
{
  "data": [
    {
      "id": "string",
      "projectId": "string",
      "timestamp": "2024-01-15T12:00:00Z",
      "createdBy": "string",
      "type": "information",
      "entityId": "string",
      "entityType": "string",
      "event": "string",
      "message": "string",
      "result": "string",
      "data": {
        "key": "value"
      }
    }
  ],
  "metadata": {
    "currentPage": 0,
    "pageSize": 0,
    "hasPreviousPage": true,
    "hasNextPage": true,
    "totalPages": 0,
    "count": 0
  }
}

cURL Example ​

bash
curl -X GET "https://{project}.atlascms.io/audits?entityId=value&entityType=value" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json"

Get Audits GET ​

Retrieves the audit log for the project or tenant. Useful for tracking changes and compliance.

GET /{project}/audits

Path Parameters ​

NameTypeRequiredDescription
projectstringYes-

Query Parameters ​

NameTypeRequiredDescription
entityIdstringYes-
entityTypestringYes-
pageintegerNo-
sizeintegerNo-
sortstringNo-

Response (200 OK) ​

json
{
  "data": [
    {
      "id": "string",
      "projectId": "string",
      "timestamp": "2024-01-15T12:00:00Z",
      "createdBy": "string",
      "type": "information",
      "entityId": "string",
      "entityType": "string",
      "event": "string",
      "message": "string",
      "result": "string",
      "data": {
        "key": "value"
      }
    }
  ],
  "metadata": {
    "currentPage": 0,
    "pageSize": 0,
    "hasPreviousPage": true,
    "hasNextPage": true,
    "totalPages": 0,
    "count": 0
  }
}

cURL Example ​

bash
curl -X GET "https://my-project.atlascms.io/{project}/audits?entityId=value&entityType=value" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json"

Atlas CMS Documentation